/*------------------------------------*\
    #IMAGE-PROPORTIONAL
\*------------------------------------*/
/**
 * Image keeping its proportions when being resized.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.helpers';

.#{$inuit-namespace}image-proportional,
%#{$inuit-namespace}image-proportional {
    display: inline-block;
    overflow: hidden;
    position: relative;
    width: 100%;

    img {
        bottom: 0;
        left: 0;
        position: absolute;
        right: 0;
        top: 0;
    }
}
